%global _owner           pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _kc_name         keycloak
%define _kc_ug_name      %{_kc_name}-sysusers
%define _kc_ug_pkgname   %{_kc_ug_name}
%define _kc_ug_comment   Tika users & groups

# https://spdx.org/licenses/MIT.html
%global _kc_ug_license   MIT

%define _kc_ug_file_in   %{_kc_name}.sysusers
%define _kc_ug_file_out  %{_kc_name}.conf
%define _kc_ug_dir       /etc/sysusers.d

%global dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

Vendor:                  %{_owner}

# NEVRA (n-e:v-r.a)
Name:                    %{_kc_ug_name}
Epoch:                   3
Version:                 git_1.0
Release:                 0%{?dist}
BuildArch:               noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global sameevr          %{epoch}:%{version}-%{release}

Summary:                 %{_kc_ug_comment}
License:                 %{_kc_ug_license}

Source0:                 %{_kc_ug_file_in}
Provides:                group(keycloak)
Provides:                user(keycloak)

BuildRequires:           coreutils
BuildRequires:           systemd-rpm-macros

%description
%{_kc_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_kc_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_kc_ug_dir}/%{_kc_ug_file_out}

%check

%pre

%files
%dir %{_kc_ug_dir}
%{_kc_ug_dir}/%{_kc_ug_file_out}

%changelog
* Sat Apr 26 2025 pgnd _ <null@null.loc>
- bump 1745723191
